
Redmine - Defect #14817

Redmine loses filters after deleting a spent time

2013-09-02 17:07 - Thomas Godard

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.3.2   

Resolution: Fixed Affected version: 2.3.1

Description

When you add filters in the spent time "Details" view, and then delete an entry, the refresh loses the filters you had.

Steps to reproduce:

Add a filter

Delete a spent time

Expected result:

Refresh with the filter you had

Actual result:

Refresh with the default page

Related issues:

Related to Redmine - Defect #13622: "Clear" button in Spent Time Report tab a... Closed

Related to Redmine - Defect #17302: Forwarding from issues time entries page ... Closed

Has duplicate Redmine - Defect #9016: displayed page after deleting time_entry Closed 2011-08-09

Associated revisions

Revision 16056 - 2016-12-11 10:25 - Jean-Philippe Lang

Redmine loses filters after deleting a spent time (#14817).

Revision 16097 - 2016-12-20 10:02 - Jean-Philippe Lang

Merged r16056 (#14817).

Revision 16098 - 2016-12-20 10:02 - Jean-Philippe Lang

Merged r16056 (#14817).

Revision 16104 - 2016-12-20 16:48 - Jean-Philippe Lang

Fix test in 3.3-stable (#14817).

Revision 16105 - 2016-12-20 16:49 - Jean-Philippe Lang

Fix test in 3.2-stable (#14817).

History

#1 - 2016-12-10 12:51 - Marius BĂLTEANU

This issue reproduces also on the latest trunk version.

#2 - 2016-12-10 13:14 - Marius BĂLTEANU

I think that this issue is generated by another issue: time spent filters are not stored in the session.

To reproduce:

1. Go to the spent time tab
2. Create a filter

3. Navigate to issues tab

4. Return to the spent time tab

5. Observe that the filters are reseted.

#3 - 2016-12-10 13:29 - Marius BĂLTEANU

The below change seems to fix the issue. I'm going to make a patch with tests for this.

diff --git a/app/controllers/timelog_controller.rb b/app/controllers/timelog_controller.rb

old mode 100644

new mode 100755

index 6c0cd3e..2edf556

--- a/app/controllers/timelog_controller.rb

+++ b/app/controllers/timelog_controller.rb

@@ -281,6 +281,6 @@ private

   end

   def retrieve_time_entry_query

-    retrieve_query(TimeEntryQuery, false)

+    retrieve_query(TimeEntryQuery, true)

   end

 end

#4 - 2016-12-10 23:28 - Marius BĂLTEANU

- File save_time_entries_queries_in_session.patch added

Attached is a patch that fixes the issue reported initially in this ticket and the issue from note-2. Please let me know if a should open a new ticket for

the issue from note-2.

#5 - 2016-12-11 02:52 - Go MAEDA

- Target version set to 3.3.2

Thank you for the patch, it works fine for me and passed all tests.

In addition, the patch also fixes #13622.

Setting target version to 3.3.2.

#6 - 2016-12-11 02:55 - Go MAEDA

- Related to Defect #13622: "Clear" button in Spent Time Report tab also clears global filters added

#7 - 2016-12-11 10:28 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Marius BALTEANU wrote:

Attached is a patch that fixes the issue reported initially in this ticket and the issue from note-2. Please let me know if a should open a new ticket

for the issue from note-2.

 Storing the filters in session is a different behaviour, please open another ticket and we'll see if this is desirable, thanks.

I've have the reported issue in r16056 without changing this behaviour.

#8 - 2016-12-11 11:44 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

Marius BALTEANU wrote:

Attached is a patch that fixes the issue reported initially in this ticket and the issue from note-2. Please let me know if a should open a new

ticket for the issue from note-2.

 Storing the filters in session is a different behaviour, please open another ticket and we'll see if this is desirable, thanks.

I've have the reported issue in r16056 without changing this behaviour.
 Here is the new ticket #24581.

#9 - 2016-12-20 10:02 - Jean-Philippe Lang

- Subject changed from Redmine loses filters after deleting a spent time. to Redmine loses filters after deleting a spent time

- Status changed from Resolved to Closed

#10 - 2017-01-06 01:47 - Go MAEDA

- Has duplicate Defect #9016: displayed page after deleting time_entry added

#11 - 2018-02-25 17:21 - Marius BĂLTEANU

- Related to Defect #17302: Forwarding from issues time entries page to project time entries page added

Files

save_time_entries_queries_in_session.patch 5.37 KB 2016-12-10 Marius BĂLTEANU
